Author Topic: OpenMPT 1.30 and libopenmpt 0.6 removed platform support  (Read 914 times)

Offline manx

  • OpenMPT Developers
  • *****
  • Posts: 298
OpenMPT 1.30 and libopenmpt 0.6 removed platform support
« on: December 30, 2020, 16:44:23 »
OpenMPT 1.30 will not remove any currently supported platform.

  • Visual Studio 2017 is now unsupported for all configurations except RETRO builds targeting Windows XP



libopenmpt 0.6 has dropped support for the following compilers:
  • GCC 7
  • Clang 5, Clang 6
  • Emscripten before 1.39.7

The minimum required compiler versions will be:
  • Visual Studio 2017 Visual Studio 2019
  • GCC 8
  • Clang 7
  • Emscripten 1.39.7
  • any C++17 compiler (std::filesystem is not required)



OpenMPT support matrices:

Windows
latest working OpenMPT
Windows 95
1.16
Windows 98
1.16
Windows 98 SE
1.18 (1.26.14.00-old with KernelEx)
Windows ME
1.18 (1.26.14.00-old with KernelEx)
Windows NT4
1.16
Windows 2000
1.26.14.00-old
Windows XP
1.28.10.00-old / 1.30-retro (development)
Windows Vista
1.28.10.00-old / 1.30-retro (development)
Windows 7
1.28.10.00-old / 1.30-retro (development)
Windows 7 SP1
1.30-legacy (development)
Windows 8
1.30-legacy (development)
Windows 8.1
1.30-legacy (development)
Windows 10
1.30 (development)

CPU generation
latest working OpenMPT
486
1.16
586, no CPUID, no CMPXCHG8B
1.26.14.00-old
586
1.28.10.00-old / 1.30-retro (development)
686, no SSE2
1.28.10.00-old / 1.30-retro (development)
686, SSE2
1.30 (development)


Version
1.19
1.20-1.22
1.23-1.24
1.25
1.26
1.27
1.28
1.29
1.30
Timeframe
2011
2012-2013
2014-2015
2015
2016-2017
2017-2018
2019-2020
2020-2021
2021-...
Primary Compiler
Secondary Compiler
RETRO Compiler
VS2008
VS2008
VS2008
VS2010
VS2010
VS2008
VS2010
VS2008
VS2015
VS2017
VS2019
VS2019

VS2017
Other Compilers
VS2010
VS2010
VS2012
VS2013
VS2015
VS2012
VS2013
VS2015
VS2017
VS2015
Compilers with limited support
VS2017
Version
1.19
1.20-1.22
1.23-1.24
1.25
1.26
1.27
1.28
1.29
1.30
Windows NT4 (1996-2004)
no
no
no
no
no
no
no
no
no
Windows 2000 (2000-2010)
yes
yes
yes
yes
yes
no
no
no
no
Windows XP (2001-2014)
yes
yes
yes
yes
yes
yes
yes
no
retro
Windows Vista (2006-2017)
yes
yes
yes
yes
yes
yes
yes
no
retro
Windows 7 (2009-2013)
yes
yes
yes
yes
yes
yes
yes
yes
retro
Windows 7 SP1 (2010-2020)
yes
yes
yes
yes
yes
yes
yes
yes
yes
Windows 8 (2012-2016)
maybe
yes
yes
yes
yes
yes
yes
yes
yes
Windows 8.1 (2013-2023)
maybe
yes
yes
yes
yes
yes
yes
yes
yes
Windows 10 (2015-____)
maybe
maybe
maybe
maybe
yes
yes
yes
yes
yes
Version
1.19
1.20-1.22
1.23-1.24
1.25
1.26
1.27
1.28
1.29
1.30
« Last Edit: July 04, 2021, 12:25:27 by manx »